From 5e2433c84923beaefff03d3769a1bedf37dbbb26 Mon Sep 17 00:00:00 2001
From: Greg Sabino Mullane <greg@turnstep.com>
Date: Tue, 3 Sep 2024 11:52:24 -0400
Subject: [PATCH] Document the event trigger table rewrite functions.

---
 doc/src/sgml/event-trigger.sgml | 4 ++++
 doc/src/sgml/func.sgml          | 6 ++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/event-trigger.sgml b/doc/src/sgml/event-trigger.sgml
index 8e009cca05..b4522848ea 100644
--- a/doc/src/sgml/event-trigger.sgml
+++ b/doc/src/sgml/event-trigger.sgml
@@ -99,6 +99,10 @@
     control statements are available to rewrite a table,
     like <literal>CLUSTER</literal> and <literal>VACUUM</literal>,
     the <literal>table_rewrite</literal> event is not triggered by them.
+    To find the OID of the table that was rewritten, use the function
+    <literal>pg_event_trigger_table_rewrite_oid()</literal>. To discover the
+    reason for the rewrite, use the function
+    <link linkend="pg-event-trigger-table-rewrite-functions">pg_event_trigger_table_rewrite_reason()</link>.
    </para>
 
    <para>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 461fc3f437..48ef935a5e 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -31329,8 +31329,10 @@ CREATE EVENT TRIGGER test_event_trigger_for_drops
         <returnvalue>integer</returnvalue>
        </para>
        <para>
-        Returns a code explaining the reason(s) for rewriting.  The exact
-        meaning of the codes is release dependent.
+        Returns a code explaining the reason(s) for rewriting. The value is
+        a bitmap built from the following values: 1 (the table has changed
+        persistence), 2 (a column has changed a default value), 4 (a column
+        has a new data type), and 8 (the table access method has changed).
        </para></entry>
       </row>
      </tbody>
-- 
2.30.2

